org.wildfly.swarm.config.messaging.activemq.server

## Class SecuritySetting<T extends SecuritySetting<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.SecuritySetting<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SecuritySetting<T extends SecuritySetting<T>>
      extends HashMap

  A security setting allows sets of permissions to be defined against queues based on their address.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecuritySetting.SecuritySettingResources` Child mutators for SecuritySetting

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecuritySetting(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `role(Role value)` Add the Role object to the list of subresources
    `T` | `role(RoleSupplier supplier)` Install a supplied Role object to the list of subresources
    `T` | `role(String childKey)` Create and configure a Role object to the list of subresources
    `T` | `role(String childKey, RoleConsumer consumer)` Create and configure a Role object to the list of subresources
    `T` | `roles(List<Role> value)` Add all Role objects to this subresource
    `SecuritySetting.SecuritySettingResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SecuritySetting

          public SecuritySetting(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SecuritySetting.SecuritySettingResources subresources()

    - #### roles

          public T roles(List<Role> value)

      Add all Role objects to this subresource
      Parameters:
        `value` - List of Role objects.
      Returns:
        this

    - #### role

          public T role(Role value)

      Add the Role object to the list of subresources
      Parameters:
        `value` - The Role to add
      Returns:
        this

    - #### role

          public T role(String childKey,
                        RoleConsumer consumer)

      Create and configure a Role object to the list of subresources
      Parameters:
        `key` - The key for the Role resource
        `config` - The RoleConsumer to use
      Returns:
        this

    - #### role

          public T role(String childKey)

      Create and configure a Role object to the list of subresources
      Parameters:
        `key` - The key for the Role resource
      Returns:
        this

    - #### role

          public T role(RoleSupplier supplier)

      Install a supplied Role object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.